#! /bin/sh
#
#   seldisk.sh - ǥ
#
#	ܥåɽƥǥ򡢤뤤Ϥ롣
#	ǥХե֤̾
#
#	0.0: May  30, 2004 by Dai ISHIJIMA
#	0.1: Jun. 29, 2006 (support some more disk types)
#	0.2: Sep. 12, 2007 (wpout09)
#

dmesg="${DMESG:-/var/run/dmesg.boot}"
devices="${DEVICES:-da|ad|ar|aacd|amrd}"
resultfil=/tmp/result

title="${TITLE:-ϡɥǥõġwipe-out}"

sed -n -E "/^(${devices})[0-9]:.*</p" $dmesg |
	sed 's/^\([a-z][a-z]*[0-9]\).*/\1/' > $resultfil
disks=`cat $resultfil`

n=0
taglist=''
for d in $disks ; do
	dname=`sed -n -E "/^${d}:.*<.*>/p" $dmesg | sed 's/.*\(<.*>\).*/\1/'`
	bytes=`disksize -B /dev/$d`
	cap=`disksize -p /dev/$d`
	taglist="$taglist $d '$dname (${bytes}Х, $cap)'"
done
#######taglist="$taglist XX '嵭ʳϤ'"

eval dialog \
	--title "'$title'" \
	--menu "'ǥ򤷤Ƥ'" \
	12 72 5 \
	$taglist \
	2>$resultfil

case "$?" in
	0)
		newdisk=`cat $resultfil`
		if [ x"$disk" != x"$newdisk" ]; then
			msg="ǥ ${disk} "
			msg="${msg} ${newdisk} ѹޤ"
			dialog	--title "$title" \
				--infobox "$msg" 5 72
			sleep 2
		fi
		disk="$newdisk"
		;;	
	1)
		dialog	--title "$title" \
			--infobox 'ǥ򥭥󥻥뤷ޤ' 3 64
		sleep 2
		;;
esac

# EOF
